Bug 218159 - Duplicate packages after upgrade to FC6 from a previous release
Duplicate packages after upgrade to FC6 from a previous release
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Depends On: 243099
  Show dependency treegraph
Reported: 2006-12-02 02:57 EST by Răzvan Sandu
Modified: 2013-01-09 23:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-01 12:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
install.log (69.93 KB, text/plain)
2007-01-03 09:31 EST, Răzvan Sandu
no flags Details
install.log.syslog (9.56 KB, text/plain)
2007-01-03 09:33 EST, Răzvan Sandu
no flags Details
upgrade.log (74.34 KB, text/plain)
2007-01-03 09:35 EST, Răzvan Sandu
no flags Details
upgrade.log.syslog (1.42 KB, text/plain)
2007-01-03 09:36 EST, Răzvan Sandu
no flags Details
anaconda.log (262.23 KB, text/plain)
2007-01-03 09:39 EST, Răzvan Sandu
no flags Details
anaconda.sylog (20.26 KB, text/plain)
2007-01-03 09:40 EST, Răzvan Sandu
no flags Details
anaconda.xlog (52.55 KB, text/plain)
2007-01-03 09:41 EST, Răzvan Sandu
no flags Details

  None (edit)
Description Răzvan Sandu 2006-12-02 02:57:25 EST
Description of problem:

All problems described bellow occur on a *stock* install of FC6 (i.e. an install
that only includes rpm packages from Core or Extras).

After performing an upgrade to FC6 from a previous release (I tested that with
FC5 and FC4), a "rpm -qa | sort" shows duplicate packages compiled for both the
new and the old distro (marked .fc6 AND .fc5).

Version-Release number of selected component (if applicable):
Fedora Core 6 distro + updates as for 12/01/2006

How reproducible:

Steps to Reproduce:
1. Install a stock FC5
2. Use the standard FC6 CDs or DVD to upgrade the installation to FC6
3. Perform a rpm -qa | sort
Actual results:
There are duplicate packages from FC6 and previous releases, with identical
names. Disk space is unnecesarily lost.

Expected results:
No duplicate packages should exist after upgrade; distribution should provide a
script to automatically clean the packages from the old distro. This script
should be either integrated in anaconda, at the end, or in firstboot or provided
separately (to minimise the time used for upgrading). References to it should
explicitly exist in the docs.

Additional info:
Comment 1 Jesse Keating 2006-12-02 12:51:12 EST
Was this an x86_64 install/upgrade?  What you're most likely seeing is that you
have multilib packages installed.  an i386 match for the x86-64 package.  Only
the different files are duplicated, identical files are not written out.  You
can verify with:

rpm -q duppackage.x86_64
rpm -q duppackage.i386

You would get results for both if multilib is indeed what you're seeing.  And
yes, this is by design.
Comment 2 Răzvan Sandu 2006-12-03 03:22:58 EST
Hello and thanks,

No, it is a simple i386 architecture and it happened to me on more than one machine.

Comment 3 Jesse Keating 2006-12-03 10:57:20 EST
Multiple machiens that were upgrades from FC5, or multiple machines that were
clean installs of FC6?

Can you give me an example of some of the packages?  (output of rpm -q)
Comment 4 Răzvan Sandu 2006-12-04 22:41:01 EST
Hello again,

The described phenomenon happened to me on more than one machine that was
upgraded from FC5 (or FC4) to FC6. I have one or two machines that were "chainly
upgraded" FC4 -> FC5 -> FC6, but not just only on those...

Here are some examples of duplicated packages(randomly choosen, maybe not on the
*same* machine all of them):





and examples may continue...

What I did to those systems in their lifecycle is to:

- freshly install FC5 (from FC5's CDs ord DVD, using just packages from Core or
- keep the system up to date making an "yum -y upgrade" with the official
repositories for FC5 configured) or simply using the nightly yum cron;
- upgrade to FC6 (using the FC6's CDs or DVD in "upgrade" mode)
- upgrade the system to the lastest packages using "yum -y upgrade" with the
official repositories for FC6 configured) or using the nightly yum cron;

Is there any additional task/script necessary to keep those systems "clean" from
old packages ?

Many thanks,
Comment 5 Jesse Keating 2006-12-04 23:04:23 EST
I'm reassigning this to anaconda.  They might have a better idea whats going on
Comment 6 Bill Nottingham 2006-12-05 12:29:11 EST
Please attach /var/log/anaconda* and /root/install.log, /root/upgrade.log, if
Comment 7 Răzvan Sandu 2007-01-03 09:31:27 EST
Created attachment 144698 [details]
Comment 8 Răzvan Sandu 2007-01-03 09:33:06 EST
Created attachment 144699 [details]
Comment 9 Răzvan Sandu 2007-01-03 09:35:13 EST
Created attachment 144700 [details]
Comment 10 Răzvan Sandu 2007-01-03 09:36:42 EST
Created attachment 144701 [details]
Comment 11 Răzvan Sandu 2007-01-03 09:39:24 EST
Created attachment 144703 [details]
Comment 12 Răzvan Sandu 2007-01-03 09:40:44 EST
Created attachment 144704 [details]
Comment 13 Răzvan Sandu 2007-01-03 09:41:43 EST
Created attachment 144705 [details]
Comment 14 Răzvan Sandu 2007-01-08 06:34:19 EST

I am pleased to provide the requested files (please see above).

Comment 15 Răzvan Sandu 2007-01-28 03:23:26 EST
Hello again,

There is another trace of old files/packages on some of my systems:

Some systems were upgraded from FC5 to FC6 and then kept regularily up-to-date
through yum. However, here is what I get today (January 27, 2007), agter a new
cman for FC6 is out:

file /usr/share/man/man8/fence_tool.8.gz from install of cman-2.0.60-1.fc6
conflicts with file from package fence-1.32.17-0.FC5.1

file /sbin/ccs_test from install of cman-2.0.60-1.fc6 conflicts with file from
package ccs-1.0.3-0.2

(there are actually many such messages, but all of them refers to packages css
and fence.

Now, IMHO, it is obvious that packages css and fence were neither upgraded when
passing from FC5 to FC6 nor deleted.

I resolved the issue by deleting them manually and I continued the upgrade, but
just wanted to make note oh this.


Note You need to log in before you can comment on or make changes to this bug.